%define git 20160416

Summary:	Online Accounts Sign-on UI
Name:		signon-ui
Version:	0.17
Release:	0.%{git}.1
License:	GPLv3+
Group:		System/Libraries
Url:		https://launchpad.net/signon-ui
#Source0:	https://launchpad.net/signon-ui/trunk/%{version}/+download/signon-ui-%{version}.tar.bz2
Source0:	signon-ui-%{version}-%{git}.tar.bz2
Patch0:		signon-ui-0.15-fix-qt5-build.patch
BuildRequires:	pkgconfig(accounts-qt5)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(libproxy-1.0)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5WebKit)
BuildRequires:	pkgconfig(Qt5WebKitWidgets)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	pkgconfig(signond)
BuildRequires:	pkgconfig(signon-plugins)
BuildRequires:	pkgconfig(signon-plugins-common)

%description
Sign-on UI is the component responsible for handling the user interactions
which can happen during the login process of an online account.
It can show password dialogs and dialogs with embedded web pages.

%files
%doc README TODO NOTES COPYING
%{_bindir}/signon-ui
%{_datadir}/dbus-1/services/com.canonical.indicators.webcredentials.service
%{_datadir}/dbus-1/services/com.nokia.singlesignonui.service
%dir %{_sysconfdir}/signon-ui/webkit-options.d

#----------------------------------------------------------------------------

%prep
%setup -qn signon-ui-%{version}-%{git}
%patch0 -p1 -b .qt5

%build
%qmake_qt5 \
	QMF_INSTALL_ROOT=%{_prefix} \
	CONFIG+=release \
	signon-ui.pro
%make

%install
%makeinstall_qt

# Own directory where others can install provider-specific configuration
mkdir -p %{buildroot}/%{_sysconfdir}/signon-ui/webkit-options.d


%changelog

* Tue Jun 21 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.17-0.20160416.1
- (acbf8b3) New version 0.17-20160416


